package jalview.schemes;

import jalview.api.ColorI;
import jalview.api.FeatureColourI;
import jalview.datamodel.SequenceFeature;

/**
 * A convenience class with implementations of FeatureColourI methods. Override
 * methods as required in subclasses.
 */
public class FeatureColourAdapter implements FeatureColourI
{
  @Override
  public boolean isGraduatedColour()
  {
    return isColourByLabel() || isAboveThreshold() || isBelowThreshold();
  }

  @Override
  public ColorI getColour()
  {
    return Colour.black;
  }

  @Override
  public ColorI getMinColour()
  {
    return Colour.white;
  }

  @Override
  public ColorI getMaxColour()
  {
    return Colour.black;
  }

  @Override
  public boolean isColourByLabel()
  {
    return false;
  }

  @Override
  public boolean isBelowThreshold()
  {
    return false;
  }

  @Override
  public boolean isAboveThreshold()
  {
    return false;
  }

  @Override
  public boolean isThresholdMinMax()
  {
    return false;
  }

  @Override
  public float getThreshold()
  {
    return 0f;
  }

  @Override
  public float getMax()
  {
    return 0;
  }

  @Override
  public float getMin()
  {
    return 0;
  }

  @Override
  public boolean hasThreshold()
  {
    return false;
  }

  @Override
  public ColorI getColor(SequenceFeature feature)
  {
    return null;
  }

  @Override
  public boolean isColored(SequenceFeature feature)
  {
    return false;
  }

  @Override
  public void updateBounds(float min, float max)
  {
  }

  @Override
  public String toJalviewFormat(String featureType)
  {
    return null;
  }

  @Override
  public void setThreshold(float f)
  {
  }

  @Override
  public boolean isAutoScaled()
  {
    return false;
  }

  @Override
  public void setAutoScaled(boolean b)
  {
  }

  @Override
  public boolean isSimpleColour()
  {
    return false;
  }

  @Override
  public void setAboveThreshold(boolean b)
  {
  }

  @Override
  public void setThresholdMinMax(boolean b)
  {
  }

  @Override
  public void setBelowThreshold(boolean b)
  {
  }

  @Override
  public void setColourByLabel(boolean b)
  {
  }

  @Override
  public void setGraduatedColour(boolean b)
  {
  }

}
